### Absorber (original Absorber)
FFX_ABSORB_CUSTOM=[
["default","ffx_absorb","effect_ffxabsorb","FFX_POWER_CUSTOM"],
["types","dDummy Power","AEffect Base","QAbsorbing Power"],
]

### Battle Computer
FFX_BATTLECOMPUTER_CUSTOM=[
["default","","","","","",300,"","","",""],
["types","UDatabase Entry1","UDatabase Entry2","UDatabase Entry3","UDatabase Entry4","UDatabase Entry5","iRadius","CCommand1","sPower1","CCommand2","sPower2"],
]

### Bulk Teleporter
FFX_BULKTP_CUSTOM=[
["default","ffx_bulk_teleport"],
["types","dDummy Power"],
]

### Driver
# Updated FFX 3.3: note the additional "Method" entry at the end
FFX_DRIVER_CUSTOM=[
["default","cat jalopy","","","beside"],
["types","UVehicle 1","UVehicle 2","UVehicle 3","AMethod"],
]

### Vehicle
# Cargo mass determines the max number of passengers to allow in addition to the driver
FFX_VEHICLE_CUSTOM=[
["default", "500"],
["types", "ACargo (lbs)"],
]

### Enchanter Level 1
FFX_ENCHANTER1_CUSTOM=[
["default", "acrobatic", "superleaper", "ffqresilient", 20, 25, "effect_ffx_magic", "takeDamage"],
["types","AAttribute 1","AAttribute 2","AAttribute 3","iDuration","iRange","EFX","hSide Effect"],
]

### Enchanter Level 2
FFX_ENCHANTER2_CUSTOM=[
["default", "randommutation", "weathercontrol", "invulnerable", 20, 25, "effect_ffx_magic", "takeDamage"],
["types","AAttribute 1","AAttribute 2","AAttribute 3","iDuration","iRange","EFX","hSide Effect"],
]

### Enchanter Level 3
FFX_ENCHANTER3_CUSTOM=[
["default", "supertk", "gaseousform", "invulnerable2", 20, 25, "effect_ffx_magic", "takeDamage"],
["types","AAttribute 1","AAttribute 2","AAttribute 3","iDuration","iRange","EFX","hSide Effect"],
]

### Energy Redirector
FFX_ENERGYREDIRECTION_CUSTOM=[
["default","effect_ffx_energysparks","erProgressivedamage","","","","","","","","",""],
["types","EBuildup FX","hEffect","aExplosion","CCommand1","sPower1","CCommand2","sPower2","CCommand3","sPower3","CCommand4","sPower4"],
]

### Energy Tanks
FFX_ENERGYTANKS_CUSTOM=[
["default","notAmbient"],
["types","PAmbient?"],
]

### FF Original Active Defense
FFX_FFACTIVEDEFENSE_CUSTOM=[
["default","CUSTOM_FF_ACTIVE_DEFENSE","ff_active_defence",20,"Moveable","Regenerate","No Remote",66,"No",0],
["types","CCommand","sPower","iDuration","PMoveable?","PRegenerate?","PRemote Use?","iEP Cost","PLock?","iLock Time"],
]

### Free Spirit
FFX_FREESPIRIT_CUSTOM=[
["default","","ranged","effect_pan_teleport"],
["types","USpirit Form","AAnimation","EFX"],
]

### Genetic Symbiote
FFX_GENETICSYMBIOTE_CUSTOM=[
["default",400,"","effect_ffxabsorbstrength","effect_ffxpurplestrength"],
["types","iRadius","UGenetic Symbiote","OCharacter FX","OObject FX"],
]

### Gestalt/Amalgam
FFX_FFQGESTALT_CUSTOM=[
["default", "effect_entropy_spawn", "", "", "", "", "", ""],
["types", "EEffect", "ATarget 1", "ANew Form 1", "ATarget 2", "ANew Form 2", "ATarget 3", "ANew Form 3" ],
]

FFX_FFQAMALGAM_CUSTOM=[
["default", "effect_entropy_spawn", "power", "isNever"],
["types", "EEffect", "AAnimation", "fRevert Trigger"],
]

### Ghostly
FFQ_GHOSTLY_CUSTOM=[
["default","ffq_ghostly"],
["types","sDefence"],
]

### Kinetic Absorber
FFX_KINETICABSORBER_CUSTOM=[
["default","effect_ffx_energysparks","erProgressivedamage","","ENHANCED_STRENGTH_PUNCH","minute Patriot Smash extra"],
["types","EBuildup FX","hEffect","aExplosion","CCommand1","sPower1"],
]

### Narcoleptic
FFX_NARCOLEPTIC_CUSTOM=[
["default",30.0],
["types","iPercent Chance"],
]

### Phasing
FFX_PHASING_CUSTOM=[
["default","","ranged","effect_pan_teleport"],
["types","UPhased Form","AAnimation","EFX"],
]

### Power Analysis
FFX_POWERSCAN_CUSTOM=[
["default","ffx_power_scan"],
["types","dDummyPower"],
]

### Power Reserve
FFX_POWERRESERVE_CUSTOM=[
["default","ffx_power_scan","BOOST_STRENGTH","BOOST_SPEED","BOOST_AGILITY","BOOST_ENDURANCE","BOOST_POWERS","BOOST_RESISTANCE"],
["types","dDummyPower","CBoost Strength","CBoost Speed","CBoost Agility","CBoost Endurance","CBoost Powers","CBoost Resistance"],
]

### Speed Phaser
FFX_SPEEDPHASER_CUSTOM=[
["default","effect_portal_mentor_spawn"],
["types","EFX"],
]

### Web-Slinger
FFX_WEBSLINGER_CUSTOM=[
["default","ffx_web_pull"],
["types","dDummy Power"],
]

### for use with remote active defenses
# stumpy 2007-10-31: testing this...
# Right now, this may be specific to built-in characters. The power
# name (2nd entry) that swaps to the given AD (3rd entry) can allow
# for things like customizable EP cost, based on the cost of the beam.
# Note that his array is intended to be matched not just by the
# template name but also by the power name, using
# ffx.getByTemplateAndMatch. Also, since the CC doesn't grab the power
# name for swaps with customs, I don't think this array can be
# generated by the CC.
FFX_REMOTEAD_CUSTOM=[
["default","mentor Tractor Beam","alchemiss Deflection Shield"],
["types","rPower","sDefence"],
["body guard","physical shield","ffx_physical_defense"],
["body guard","energy shield","ffx_energy_block"],
]

#############################
# State Swap Customizations
#############################

### Explosive Tangle Wire
FFX_EXPLOSIVETANGLE_CUSTOM=[
["default","etwire","effect_ffx_tanglewire",5],
["types","aExplosion","OTangle FX","iHold Strength"],
]

### Tangle
FFX_TANGLE_CUSTOM=[
["default","effect_ffx_tanglenet",5,"No"],
["types","OTangle FX","iHold Strength","PDamage"],
]

### Grapple
FFX_GRAPPLE_CUSTOM=[
["default","","Yes",0,"Yes"],
["types","OFX","PUse Current Strength","iHold Strength","PDamage"],
]

### Ranged Grapple
FFX_RANGEGRAPPLE_CUSTOM=[
["default","effect_ffx_crimsonbands","Yes",0,"No"],
["types","OFX","PUse Current Strength","iHold Strength","PDamage"],
]

### Ranged Grapple Custom Damage
FFX_RANGEGRAPPLECD_CUSTOM=[
["default","effect_ffx_tanglewire","Yes",0,"ffx_electric_charge"],
["types","OFX","PUse Current Strength","iHold Strength","sPower"],
]

### Throw2
FFX_THROW2_CUSTOM=[
["default",1,2,1.5,""],
["types","iMesh Size","iPick Up Time","iLeave Hand Time","AThrow Animation"],
]

### Throw
FFX_THROW_CUSTOM=[
["default",1],
["types","iMesh Size"],
]

# Mesh Size Options for Throw Swaps:
#
# tiny (1ft) = 0.6 (male_tiny)
# dwarf (4ft) = 0.8 (male_dwarf)
# mansize (6ft) = 1 (male_basic, male_cape, female_basic, female_longhair, male_muscular_tall, etc.)
# hulking (8ft) = 1.3 (male_hulking, male_hulking_brute, Male_Titan, etc.)
# giant_10ft = 1.6 (Giant-Man_II_Gren)
# giant_12ft = 1.8 (Giant-Man_Gren and a male_basic mesh using TommyBoy's male_basic 12ft Giant Keyframes)
# giant_15ft = 2 (Goliath_III_Gren, goliath_giant_t, goliath_giant_alpha,tv_giant_15ft Keyframes)
# giant_18ft = 2.2 (goliath_titan_alpha, Male_Titan2, male_basic mesh using TommyBoy's male_basic 18ft Giant KFs)
# giant_20ft = 2.5 (goliath_titan)
# giant_25ft = 2.7 (goliath_huge_t, tv_giant_25ft Keyframes)
# giant_30ft = 3 (male_basic mesh using TommyBoy's male_basic 30ft Giant KFs)
# giant_50ft = 6 (male_basic_giant)
# giant_60ft = 8 (male_basic mesh using TommyBoy's male_basic 60ft Giant KFs)
# giant_120ft = 30 (male_basic mesh using TommyBoy's male_basic 120ft Giant KFs)

### Possession with Powers
FFX_POSSESSION_WITH_POWERS_CUSTOM=[
["default","","","","","","","",""],
["types","AAttribute1","AAttribute2","CCommand1","sPower1","CCommand2","sPower2","CCommand3","sPower3"],
]
