#print "Loading m25aigeneratedata.py v.3.2.0 final; branch = m25 branch 1"

AIGenerateTemplate = {
'FFX_absorber' : ["TAbsorber()",1],
'FFX_astral' : ['TAstralProjection()',1],
'FFX_astralform' : ['TAstralForm()',0],
'FFX_blazingglory' : ['TBlazingGlory()',1],
'FFX_bulktp' : ['TBulkTeleporter()',1],
'FFX_currentsapper' : ["TMoveTo(type='any', subtype='electrical', mindist=100)",5],
'FFX_earthcontrol' : [["TEarthSpike()",0],["TEarthWall()",0],['TTK()',4]],
'FFX_earthcontrol2' : [["TEarthSpike()",0],["TEarthWall()",0],['TTK()',4]],
'FFX_environmentcontrol' : [['TEnvControlGlobal()', 0], ['TEnvControlLocal()', 0]],
'FFX_envcontrolglobal' : ['TEnvControlGlobal()',0],
'FFX_envcontrollocal' : ['TEnvControlLocal()',0],
'FFX_explosive' : ["TExplosive()",0],
'FFX_ffqloner' : ["TFleeMelee(type='friend',mindist=100)",0],
'FFX_ffqrealitymanipulation' : [['TRealityManipulationChaos()', 2], ['TRealityManipulationOrderSwarmed()',3], ['TRealityManipulationOrderFriend()',3]],
'FFX_ffqteamplayer' : ["TMoveTo(type='friend', situation='alone 100')", 0],
'FFX_ffqtempinvulnerability' : ['TTempInvulnerability()', 5],
'FFX_ffqtimemaster' : [['TTimeSlow()', 1], ['TTimeTravel()', 1]],
'FFX_firecontrol': ["TFireWall()",1],
'FFX_gaseousform': ['TGaseousForm()',0],
'FFX_icecloud': ['TIceCloud()',0],
'FFX_icecontrol': [["TIceWall()", 1],["TIcePatch(subtype='not flying')",1]],
'FFX_illusionist': ['TIllusionist()', 3],
'FFX_innerbeing': ['TInnerBeing()', 3],
'FFX_livinglaser' : ["Gen_FFX_livinglaser(char,power)"],
'FFX_magnetic': [['TMagneticAttract()',1],['TMagneticRepel()',1],['TTK()',4],['TMagneticCustom()',1]],
'FFX_magnetic2': [['TMagneticAttract()',1],['TMagneticRepel()',1],['TTK()',4],['TMagneticCustom()',1]],
'FFX_masscontrol': ['TMassControl()',5],
'FFX_metaleater': ["TMoveTo(type='any', subtype='metal', mindist=100)", 5],
'FFX_metamorphic': [['TGaseousForm()',0],['TIceCloud()',0],['TSandstorm()',0]],
'FFX_metashield' : ["TEnergyShield()",5],
'FFX_peacefield' : ['TAntiWarZone()', 5],
'FFX_plasmasculptor': [['TPlasmaSculptorDrop()',0],['TPlasmaSculptorBarrier()',0]],
'FFX_puppetn': ['TPuppetMasterNature()',5],
'FFX_puppetu': ['TPuppetMasterUrban()',5],
'FFX_sandstorm': ["TSandstorm()", 0],
'FFX_shapeshifter': ['TShapeShift()', 0],
'FFX_spinner': ['THumanTop()',0],
'FFX_summoner1': ["TSummon()", 1],
'FFX_summoner2': ["TSummon()", 1],
'FFX_summoner3': ["TSummon()", 1],
'FFX_superleaper': ['Gen_FFX_superleaper(char,power)'],
'FFX_supertk': ['TTK()',4],
'FFXswap_absorb' : ["CreateTactic(char,power,type='any')","GetEnergyWeight(power)"],
'FFXswap_accelerate' : ["CreateTactic(char,power,type='friend')","GetEnergyWeight(power)"],
'FFXswap_cloak' : ["CreateTactic(char,power,type='friend')","GetEnergyWeight(power)"],
'FFXswap_cloak_ally' : ["CreateTactic(char,power,'TArea',type='friend',maxdist='area_large')","GetEnergyWeight(power)"],
'FFXswap_cloak_any' : ["CreateTactic(char,power,'TArea',maxdist='area_large')","GetEnergyWeight(power)"],
'FFXswap_cloak_selfheal' : ["CreateTactic(char,power,'TSelfHeal')",9],
'FFXswap_displace_ally' : ["CreateTactic(char,power,'TArea',type='friend',maxdist='area_large')","GetEnergyWeight(power)"],
'FFXswap_displace_selfheal' : ["CreateTactic(char,power,'TSelfHeal')",9],
'FFXswap_displace_any' : ["CreateTactic(char,power,'TArea',maxdist='area_large')","GetEnergyWeight(power)"],
'FFXswap_empathy_ally' : ["CreateTactic(char,power,'TArea',type='friend',maxdist='area_large')","GetEnergyWeight(power)"],
'FFXswap_empathy_any' : ["CreateTactic(char,power,'TArea',maxdist='area_large')","GetEnergyWeight(power)"],
'FFXswap_empathy_selfheal' : ["CreateTactic(char,power,'TSelfHeal')",9],
'FFXswap_heal' : ["CreateTactic(char,power,type='friend')","GetEnergyWeight(power)"],
'FFXswap_limeylure_any' : ["CreateTactic(char,power,'TRanged',pct=50,mindist=0)","GetEnergyWeight(power)"],
'FFXswap_normalise' : ["CreateTactic(char,power,type='friend')","GetEnergyWeight(power)"],
'FFXswap_phase' : [],
'FFXswap_pull' : ["CreateTactic(char,power)","GetEnergyWeight(power)"],
'FFXswap_rally_ally' : ["CreateTactic(char,power,'TArea',type='friend',maxdist='area_large')","GetEnergyWeight(power)"],
'FFXswap_shield' : ["CreateTactic(char,power,type='friend')","GetEnergyWeight(power)"],
'FFXswap_throw' : ["CreateTactic(char,power)","GetEnergyWeight(power)"],
'FFX_telekinetic': ['TTK()',4],
'FFX_tempform': ['TShapeShift()', 0],
'FFX_weathercontrol': [['TWeatherControlLightning()',0],['TWeatherControlHail()',0]],
'PT_ACTIVE_DEFENCE' : ["Gen_PT_ACTIVE_DEFENCE(char,power)"],
'PT_AREA' : ["Gen_PT_AREA(char,power)"],
'PT_DAMAGE_POLYMORPH' : ["CreateTactic(char,power,'TPolymorph')","GetEnergyWeight(power)"],
'PT_DAMAGE_SPEED_INCREASE' : ["CreateTactic(char,power,type='friend')","GetEnergyWeight(power)"],
'PT_DIRECT' : ["Gen_PT_DIRECT(char,power)"],
'PT_MELEE' : ["Gen_PT_MELEE(char,power)"],
'PT_PASSIVE_DEFENCE' : [],
'PT_RANGED' : ["Gen_PT_RANGED(char,power)"],
'PT_SPECIAL' : [],
'PT_SPECIAL_AFTERBURNER' : ["CreateTactic(char,power,'TAfterburner')",1],
'PT_SPECIAL_ANIMATE_DEAD' : ["CreateTactic(char,power,'TAnimateDead')",1],
'PT_SPECIAL_ANIMATE_DEAD_MINIONS' : ["CreateTactic(char,power,'TAnimateDead')",1],
'PT_SPECIAL_BEZERKER': [],
'PT_SPECIAL_BUOYANCY' : ["CreateTactic(char,power,type='friend')","GetEnergyWeight(power)"],
'PT_SPECIAL_BURROW' : [],
'PT_SPECIAL_CEREBRAL_NORMALISATION' : ["CreateTactic(char,power,type='friend')","GetEnergyWeight(power)"],
'PT_SPECIAL_CLOAK' : ["Gen_PT_SPECIAL_CLOAK(char,power)"],
'PT_SPECIAL_CLONE_SELF' : ["CreateTactic(char,power,'TCloneSelf')",5],
'PT_SPECIAL_CLONE_TARGET' : ["CreateTactic(char,power,'TCloneTarget')","GetEnergyWeight(power)"],
'PT_SPECIAL_DEEP_SENSOR' : [],
'PT_SPECIAL_DISPLACE_IMAGE' : ["CreateTactic(char,power,'TDisplaceImage')","GetEnergyWeight(power)"],
'PT_SPECIAL_DOPPELGANGER' : [],
'PT_SPECIAL_ELECTRIFY_SELF' : ["CreateTactic(char,power,'TElectrify')","GetEnergyWeight(power)"],
'PT_SPECIAL_EMPATHY' : ["CreateTactic(char,power,'TEmpathy')",9],
'PT_SPECIAL_ENERGIZE' : ["CreateTactic(char,power,type='friend')","GetEnergyWeight(power)"],
'PT_SPECIAL_ENERGIZE_AREA' : ["CreateTactic(char,power,pct=5,type='friend')","GetEnergyWeight(power)"],
'PT_SPECIAL_EP_TRANSFER' : ["CreateTactic(char,power,type='friend',situation='higherenergypct 33')","GetEnergyWeight(power)"],
'PT_SPECIAL_IGNITE' : ["CreateTactic(char,power,'TDisruptObject')","GetEnergyWeight(power)"],
'PT_SPECIAL_IMAGE_PROJECTOR' : ["Gen_PT_SPECIAL_IMAGE_PROJECTOR(char,power)"],
'PT_SPECIAL_LAWORDER' : [],
'PT_SPECIAL_LIVING_FIRES' : ["CreateTactic(char,power,'TLivingFires')",5],
'PT_SPECIAL_LIFE_GIFT' : ["CreateTactic(char,power,type='friend')","GetEnergyWeight(power)"],
'PT_SPECIAL_MOLECULAR_EXCITE' : [],
'PT_SPECIAL_MORPH' : [],
'PT_SPECIAL_NORMALISE' : ["CreateTactic(char,power,type='friend')","GetEnergyWeight(power)"],
'PT_SPECIAL_PATRIOT_CHARGE': ["CreateTactic(char,power,'TChargeUp')",3],
'PT_SPECIAL_POSSESSION': [],
'PT_SPECIAL_RALLY': ["CreateTactic(char,power,'TRally',type='friend')",5],
'PT_SPECIAL_SACRIFICE' : [],
'PT_SPECIAL_SONIC_BOOM' : ["CreateTactic(char,power,'TSonicBoom')",1],
'PT_SPECIAL_SPEEDING_BULLET' : ["CreateTactic(char,power,'TSpeedingBullet')",5],
'PT_SPECIAL_SPRINT': ["Gen_PT_SPECIAL_SPRINT(char,power)"],
'PT_SPECIAL_TELEPORT_SELF' : ["Gen_PT_SPECIAL_TELEPORT_SELF(char,power)"],
'PT_SPECIAL_TELEPORT_SWAP' : [],
'PT_SPECIAL_TUMBLE' : ["Gen_PT_SPECIAL_TUMBLE(char,power)"],
'PT_SPECIAL_TUNNEL' : ["Gen_PT_SPECIAL_TUNNEL(char,power)"],
'PT_SPECIAL_UNCLOAK' : ["Gen_PT_SPECIAL_UNCLOAK(char,power)"],
}

